%define arcadename %{name}-arcade
%define launchername %{name}-launcher

Name:           fs-uae
Version:        2.4.3
Release:        %mkrel 1
Epoch:          1
Summary:        Amiga emulator with on-screen GUI and online play support
License:        GPLv2+
Group:          Emulators
Url:            http://fs-uae.net
Source0:        http://fs-uae.net/fs-uae/stable/%{version}/%{name}-%{version}.tar.gz
Source1:        http://fs-uae.net/fs-uae/stable/%{version}/%{arcadename}-%{version}.tar.gz
Source2:        http://fs-uae.net/fs-uae/stable/%{version}/%{launchername}-%{version}.tar.gz

BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  python-setuptools
Recommends:     %{arcadename}
Recommends:     %{launchername}

%description
FS-UAE is an Amiga emulator for Windows, Linux and Mac OS X
based on UAE/WinUAE, with a focus on emulating games.

Features include emulation of Amiga 500, 1200, 4000, CD32
and CDTV, perfectly smooth scrolling on 50Hz displays, support
for floppy images in ADF and IPF formats, CD-ROM images in ISO
or BIN/CUE format, mounting folders on your computer as Amiga
hard drives, support for Picasso 96 drivers for high-color and
high-resolution Workbench displays, and more.

A unique feature is support for cross-platform online play. You
can now play Amiga games against (or with) friends over the
Internet.

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/%{name}-device-helper
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_docdir}/%{name}/

#----------------------------------------------------------------------

%package -n     %{arcadename}
Summary:        Fullscreen game browser for FS-UAE
BuildArch:      noarch
Requires:       python-numpy
Requires:       python-opengl
Requires:       python-pillow
Requires:       python-pkg-resources
Requires:       python-pygame
Requires:       python-qt5-core
Requires:       python-qt5-gui
Requires:       python-qt5-widgets
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description -n %{arcadename}
FS-UAE Arcade is a fullscreen Amiga game browser for FS-UAE.

%files -n       %{arcadename}
%{_bindir}/%{arcadename}
%{_datadir}/%{arcadename}/
%{_datadir}/applications/%{arcadename}.desktop
%{_docdir}/%{arcadename}/
%{_iconsdir}/hicolor/*/apps/%{arcadename}.png

#----------------------------------------------------------------------

%package -n     %{launchername}
Summary:        Graphical configuration frontend and launcher for FS-UAE
BuildArch:      noarch
Requires:       python-numpy
Requires:       python-opengl
Requires:       python-pillow
Requires:       python-pkg-resources
Requires:       python-pygame
Requires:       python-qt5-core
Requires:       python-qt5-gui
Requires:       python-qt5-widgets
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description -n %{launchername}
FS-UAE Launcher is a graphical configuration program and launcher for FS-UAE.

%files -n       %{launchername} -f %{launchername}.lang
%{_bindir}/%{launchername}
%{_datadir}/%{launchername}/
%{_datadir}/applications/%{launchername}.desktop
%{_docdir}/%{launchername}/
%{_iconsdir}/hicolor/*/apps/%{launchername}.png

#----------------------------------------------------------------------

%prep
%setup -q -a1 -a2

%build
%setup_compile_flags
%make

for pname in %{arcadename} %{launchername}; do
pushd ${pname}-%{version}
%{__python} setup.py build
popd
done

%install
%makeinstall_std

for pname in %{arcadename} %{launchername}; do
pushd ${pname}-%{version}
%{__python} setup.py install --root=%{buildroot} --skip-build \
    --install-lib=%{_datadir}/${pname} \
    --install-scripts=%{_datadir}/${pname}
%makeinstall_std
ln -s %{_datadir}/${pname}/${pname} %{buildroot}%{_bindir}/${pname}
popd
done

%find_lang %{name}
%find_lang %{launchername}


%changelog
* Sun May 10 2015 akien <akien> 1:2.4.3-1.mga5
+ Revision: 821655
- Add missing BR on xinput
- Version 2.4.3
- Provides launcher as Qt5 frontend, fixes mga#15866
- New subpackage: fs-uae-arcade

* Wed Oct 15 2014 umeabot <umeabot> 1:2.2.3-8.mga5
+ Revision: 750032
- Second Mageia 5 Mass Rebuild

* Sat Oct 11 2014 tv <tv> 1:2.2.3-7.mga5
+ Revision: 738020
- rebuild for missing pythoneggs deps

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1:2.2.3-5.mga5
+ Revision: 628195
- Rebuild for new Python

* Fri Dec 13 2013 philippem <philippem> 1:2.2.3-4.mga4
+ Revision: 556617
- fix build with include glxext

* Tue Oct 22 2013 umeabot <umeabot> 1:2.2.3-3.mga4
+ Revision: 542628
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 1:2.2.3-2.mga4
+ Revision: 497754
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Aug 31 2013 obgr_seneca <obgr_seneca> 1:2.2.3-1.mga4
+ Revision: 473741
- New version 2.2.3

* Mon Jun 03 2013 obgr_seneca <obgr_seneca> 1:2.2.2-1.mga4
+ Revision: 436700
- imported package fs-uae

